Bug 21059 - nodns prevents hostname from being set
nodns prevents hostname from being set
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: pump (Show other bugs)
7.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Elliot Lee
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-11-18 15:54 EST by George Armhold
Modified: 2007-04-18 12:29 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-07-16 09:32:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description George Armhold 2000-11-18 15:54:13 EST
The "nodns" option in pump.conf is the documented way to prevent
/etc/resolv.conf from being overwritten.  However using this option also
seems to disable the "--lookup-hostname" command line option.  Therefore
a hostname never gets set if you use "nodns".  This is a problem for folks
who run named (perhaps as a caching-only nameserver.) 

IMHO, the "nodns" flag should not disable setting the hostname when
--lookup-hostname is specified, OR there should be an option that means
"don't overwrite /etc/resolv.conf", with no other side effects.

Thank you.
Comment 1 Elliot Lee 2001-09-10 19:43:48 EDT
pump is deprecated in rawhide

Note You need to log in before you can comment on or make changes to this bug.